## com.google.javascript.jscomp
Class PassFactory

    java.lang.Object
      com.google.javascript.jscomp.PassFactory

    public abstract class PassFactory

extends Object

A factory for creating JSCompiler passes based on the Options injected. Contains all meta-data about compiler passes (like whether it can be run multiple times, a human-readable name for logging, etc.).

Constructor Summary
`protected` | `PassFactory(String name, boolean isOneTimePass)`

Method Summary
`protected abstract CompilerPass` | `createInternal(AbstractCompiler compiler)` Creates a new compiler pass to be run.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassFactory

    protected PassFactory(String name,
                          boolean isOneTimePass)

Parameters:
  `name` - The name of the pass that this factory creates.
  `isOneTimePass` - If true, the pass produced by this factory can only be run once.

Method Detail

### createInternal

    protected abstract CompilerPass createInternal(AbstractCompiler compiler)

  Creates a new compiler pass to be run.